org.apache.tapestry5

## Class MetaDataConstants

- java.lang.Object
- - org.apache.tapestry5.MetaDataConstants

-     public class MetaDataConstants
      extends Object

  Meta-data keys that are applied to components and pages. In addition, in many cases a symbol constant key is also a meta data key (where the symbol value is the ultimate default).
  See Also:
    `MetaDataLocator`, `MetaDataConstants`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESPONSE_CONTENT_TYPE` Meta data key applied to pages that sets the response content type.
    `static String` | `SECURE_PAGE` Meta data key applied to pages that may only be accessed via secure methods (HTTPS).
    `static String` | `UNKNOWN_ACTIVATION_CONTEXT_CHECK` Meta data key applied to pages that may only be accessed with a exact activation context.
    `static String` | `WHITELIST_ONLY_PAGE` Meta-data for identifying pages that should only be accessible from clients on the whitelist.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESPONSE_CONTENT_TYPE

          public static final String RESPONSE_CONTENT_TYPE

      Meta data key applied to pages that sets the response content type. A factory default provides the value "text/html" when not overridden.
      See Also:
        Constant Field Values

    - #### SECURE_PAGE

          public static final String SECURE_PAGE

      Meta data key applied to pages that may only be accessed via secure methods (HTTPS).
      See Also:
        Constant Field Values

    - #### WHITELIST_ONLY_PAGE

          public static final String WHITELIST_ONLY_PAGE

      Meta-data for identifying pages that should only be accessible from clients on the whitelist. The meta-default is "false".
      Since:
        5.3
      See Also:
        `ClientWhitelist`, Constant Field Values

    - #### UNKNOWN_ACTIVATION_CONTEXT_CHECK

          public static final String UNKNOWN_ACTIVATION_CONTEXT_CHECK

      Meta data key applied to pages that may only be accessed with a exact activation context.
      Since:
        5.4
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetaDataConstants

          public MetaDataConstants()

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.